package eu.univento.core.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;

import eu.univento.core.api.Messages;
import eu.univento.core.api.Settings;
import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Perms.Ranks;
import net.md_5.bungee.api.ChatColor;

/**
 * manages chat
 * @author joethei
 * @version 1.0
 */
public class Chat implements Listener{
	
	/**
	 * @param e AsyncPlayerChatEvent
	 */
	@EventHandler
	public void onChat(AsyncPlayerChatEvent e) {
		CustomPlayer p = CustomPlayer.getPlayer(e.getPlayer().getName());
		if(Settings.isMute()) {
			if(!p.isAllowed(Ranks.Supporter)) {
				e.setCancelled(true);
				p.sendMessage(Messages.PREFIX + "cMomentan ist dieser Server gemutet");
			}
		}
		if(!p.isMuted()) {
			String format;
			if(p.isAllowed(Ranks.Supporter)) {
				format = p.getPrefix() + p.getDisplayName() + p.getSuffix() + ChatColor.translateAlternateColorCodes('&', e.getMessage());
			}else {
				format = p.getPrefix() + p.getDisplayName() + p.getSuffix() + e.getMessage();
			}
			e.setFormat(format);
		}else {
			p.sendMessage(Messages.PREFIX + "cDu wurdest leider vom Chat ausgeschlossen");
		}
	}

}